# ReflectionClass::getDocComment

(PHP 5, PHP 7, PHP 8)

ReflectionClass::getDocComment — Obtener los comentarios de documentación

### Descripción

public ReflectionClass::getDocComment(): string

Obtiene los comentarios de documentación de una clase.

Advertencia

Esta función no está documentada actualmente, solamente se encuentra disponible la lista de parámetros.

### Parámetros

Esta función no tiene parámetros.

### Valores devueltos

Los comentarios de documentación, o `false` si no existiera.

### Ejemplos

Ejemplo #1 Ejemplo de ReflectionClass::getDocComment()

`<?php
/**
* Clase de prueba
*
* @param foo bar
* @return baz
*/
class ClaseDePrueba { }
$rc = new ReflectionClass('ClaseDePrueba');
var_dump($rc->getDocComment())
?>`

El resultado del ejemplo sería:

    string(55) "/**
    * Clase de prueba
    *
    * @param  foo bar
    * @return baz
    */"

### Ver también

- ReflectionClass::getName() - Obtiene el nombre de la clase